import React, { useState, useEffect, useContext } from "react";
import classes from "../assets/styles/components/defaultModal.module.scss";
import MyButton from "./MyButton.jsx";


const DefaultModal = ({
    name,
    postfix,
    btn,
    BodyModal
}) => {

    return (
        <div class="modal fade myModal" className={classes.main} id={`${name}`} tabIndex="-1" aria-labelledby="exampleModalLabel" data-bs-backdrop="static" aria-hidden="true">
            <div class="modal-dialog myModal__dialog" className={classes.main__dialog}>
                <div class="modal-content" className={classes.main__dialog__content}>
                    {BodyModal}
                    <div class="modal-footer myModal__dialog__content__footer" className={classes.myModal__dialog__content__footer}>
                        {btn.map(((item, i) => 
                            <MyButton text={item.text} dismiss={item.dismiss} class={item.class} click={item.action} key={i}/>
                        ))}
                    </div>
                </div>
            </div>
        </div>
    )
}

export default DefaultModal;